Main Page | Modules | Data Structures | Directories | File List | Data Fields | Globals | Related Pages

# rpmQVArguments_s Struct Reference
[RPMCLI.]

`#include <rpmcli.h>`

## Data Fields
rpmQVSources | qva_source
int | qva_sourceCount
rpmQueryFlags | qva_flags
rpmfileAttrs | qva_fflags
int | qva_verbose
const char * | qva_queryFormat
const char * | qva_prefix
char | qva_mode
char | qva_char

## Detailed Description

Describe query/verify command line request.

Definition at line 236 of file rpmcli.h.

## Field Documentation

char rpmQVArguments_s::qva_char

| (unused) always ' ' Definition at line 248 of file rpmcli.h. Referenced by main(), and rpmQVSourceArgCallback().

rpmfileAttrs rpmQVArguments_s::qva_fflags

| Bit(s) to filter on attribute. Definition at line 240 of file rpmcli.h. Referenced by main(), showQueryPackage(), and verifyHeader().

rpmQueryFlags rpmQVArguments_s::qva_flags

| Bit(s) to control operation. Definition at line 239 of file rpmcli.h. Referenced by main(), queryArgCallback(), rpmVerify(), showQueryPackage(), showVerifyPackage(), and verifyHeader().

char rpmQVArguments_s::qva_mode

| 'q' is query, 'v' is verify mode. Definition at line 247 of file rpmcli.h. Referenced by main(), and rpmQVSourceArgCallback().

const char* rpmQVArguments_s::qva_prefix

| Path to top of install tree. Definition at line 246 of file rpmcli.h. Referenced by main(), rpmQuery(), rpmVerify(), showVerifyPackage(), and verifyHeader().

const char* rpmQVArguments_s::qva_queryFormat

| Format for headerSprintf(). Definition at line 244 of file rpmcli.h. Referenced by main(), queryArgCallback(), and showQueryPackage().

rpmQVSources rpmQVArguments_s::qva_source

| Identify CLI arg type. Definition at line 237 of file rpmcli.h. Referenced by main(), and rpmQVSourceArgCallback().

int rpmQVArguments_s::qva_sourceCount

| Exclusive check (>1 is error). Definition at line 238 of file rpmcli.h. Referenced by main(), and rpmQVSourceArgCallback().

int rpmQVArguments_s::qva_verbose

| (unused) Definition at line 242 of file rpmcli.h.

The documentation for this struct was generated from the following file:

- lib/rpmcli.h